Subject: Re: [PATCH] i2c: Race fix for i2c-mpc.c

From: Kumar Gala <[email-masked]>
Date: Tue, 17 May 2005 11:12:53 -0500

Sylvain,

Looks reasonable to me.  Add a Signed-off-by: Kumar Gala 
<[email-masked]> line and sent to GregKH, lm-sensors guys.  
CC me if you would.

- kumar

On May 16, 2005, at 11:06 AM, Sylvain Munaut wrote:

> Kumar Gala wrote:
>  > Sylvain,
>  >
> > Are you really still using the OCP side of the driver?  Do we need a
> > similar fix for the platform driver side?
>
> /me hits himself with a hammer
>
> Damn I included the wrong diff ... Sorry about that, the good one is
>  in attachment.
>
>
>
> No I don't use the OCP side but I changed both to stay coherent. I 
> don't
> experience the problem myself, it's Asier who reported it and it
> apparently mostly shows up on the second i2c bus (where I have nothing
> on my hardware and anyway my bootloader init I2C beforehand ...).
>
> But the patch looks correct, when a bus is added, it should be ready to
> be used.
>
>
>
>         Sylvain
>
>
>
> ---
>  i2c: Race fix for i2c-mpc.c
>
> The problem was that the clock speed and driver data is
>  initialized after the i2c adapter was added. This caused
>  the i2c bus to start working at a wrong speed. (Mostly
> noticable on the second bus on mpc5200)
>
> With this patch we've tried to keep the i2c adapter
>  working perfectly all the time it is included in the system.
>  Initialize before added, Remove garbage after deleleted.
>
>
>
> Submitted-by: Asier Llano Palacios
>  Signed-off-by: Sylvain Munaut <[email-masked]>
> ---
> <i2c-mpc-racefix.diff>